# Uses of Interface
org.eclipse.jdt.core.IClasspathAttribute

Packages that use IClasspathAttribute
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.launching
Application programming interfaces for interaction with the Eclipse Java launching support.
org.eclipse.jdt.ui.wizards
Application programming interfaces for interaction with the Eclipse Java User Interface wizards.

## Uses of IClasspathAttribute in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IClasspathAttribute
Modifier and Type
Method
Description
`IClasspathAttribute[]`
IClasspathEntry.`getExtraAttributes()`
Returns the extra classpath attributes for this classpath entry.
`static IClasspathAttribute`
JavaCore.`newClasspathAttribute(String name, String value)`
Creates and returns a new classpath attribute with the given name and the given value.
Methods in org.eclipse.jdt.core with parameters of type IClasspathAttribute
Modifier and Type
Method
Description
`static IClasspathEntry`
JavaCore.`newContainerEntry(IPath containerPath, IAccessRule[] accessRules, IClasspathAttribute[] extraAttributes, boolean isExported)`
Creates and returns a new classpath entry of kind `CPE_CONTAINER` for the given path.
`static IClasspathEntry`
JavaCore.`newLibraryEntry(IPath path, IPath sourceAttachmentPath, IPath sourceAttachmentRootPath, IAccessRule[] accessRules, IClasspathAttribute[] extraAttributes, boolean isExported)`
Creates and returns a new classpath entry of kind `CPE_LIBRARY` for the JAR or folder identified by the given absolute path.
`static IClasspathEntry`
JavaCore.`newProjectEntry(IPath path, IAccessRule[] accessRules, boolean combineAccessRules, IClasspathAttribute[] extraAttributes, boolean isExported)`
Creates and returns a new classpath entry of kind `CPE_PROJECT` for the project identified by the given absolute path.
`static IClasspathEntry`
JavaCore.`newSourceEntry(IPath path, IPath[] inclusionPatterns, IPath[] exclusionPatterns, IPath specificOutputLocation, IClasspathAttribute[] extraAttributes)`
Creates and returns a new classpath entry of kind `CPE_SOURCE` for the project's source folder identified by the given absolute workspace-relative path using the given inclusion and exclusion patterns to determine which source files are included, and the given output path to control the output location of generated files.
`static IClasspathEntry`
JavaCore.`newVariableEntry(IPath variablePath, IPath variableSourceAttachmentPath, IPath variableSourceAttachmentRootPath, IAccessRule[] accessRules, IClasspathAttribute[] extraAttributes, boolean isExported)`
Creates and returns a new classpath entry of kind `CPE_VARIABLE` for the given path.

## Uses of IClasspathAttribute in org.eclipse.jdt.launching

Methods in org.eclipse.jdt.launching that return IClasspathAttribute
Modifier and Type
Method
Description
`static IClasspathAttribute`
JavaRuntime.`newLibraryPathsAttribute(String[] paths)`
Creates a new classpath attribute referencing a list of shared libraries that should appear on the `-Djava.library.path` system property at runtime for an associated `IClasspathEntry`.
Methods in org.eclipse.jdt.launching with parameters of type IClasspathAttribute
Modifier and Type
Method
Description
`static String[]`
JavaRuntime.`getLibraryPaths(IClasspathAttribute attribute)`
Returns an array of strings referencing shared libraries that should appear on the `-Djava.library.path` system property at runtime for an associated `IClasspathEntry`, or `null` if the given attribute is not a `CLASSPATH_ATTR_LIBRARY_PATH_ENTRY`.
`static IRuntimeClasspathEntry`
JavaRuntime.`newArchiveRuntimeClasspathEntry(IPath path, IPath sourceAttachmentPath, IPath sourceAttachmentRootPath, IAccessRule[] accessRules, IClasspathAttribute[] extraAttributes, boolean isExported)`
Returns a new runtime classpath entry for the given archive (possibly external).

## Uses of IClasspathAttribute in org.eclipse.jdt.ui.wizards

Methods in org.eclipse.jdt.ui.wizards that return IClasspathAttribute
Modifier and Type
Method
Description
`abstract IClasspathAttribute`
ClasspathAttributeConfiguration.ClasspathAttributeAccess.`getClasspathAttribute()`
Returns the classpath attribute
`abstract IClasspathAttribute`
ClasspathAttributeConfiguration.`performEdit(Shell shell, ClasspathAttributeConfiguration.ClasspathAttributeAccess attribute)`
This method is invoked when the Edit is pressed.
`abstract IClasspathAttribute`
ClasspathAttributeConfiguration.`performRemove(ClasspathAttributeConfiguration.ClasspathAttributeAccess attribute)`
This method is invoked when the Remove is pressed.